Loading...
Searching...
No Matches
caf::has_type_id< T > Struct Template Reference

Evaluates to true if any of these statements holds true: More...

`#include <type_id.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class T>
struct caf::has_type_id< T >

Evaluates to true if any of these statements holds true:

- type_id<T> is specialized
- T is an atom constant
- allowed_unsafe_message_type<T> is specialized

## Member Data Documentation

## value

template<class T>

bool caf::has_type_id< T >::value

static constexpr

Initial value:
= detail::is_complete<type_id<T>>::value
|| is_atom_constant<T>::value
|| allowed_unsafe_message_type<T>::value
caf::allowed_unsafe_message_type
Template specializations can whitelist individual types for unsafe message passing operations.
Definition allowed_unsafe_message_type.hpp:28
caf::detail::is_complete
Checks whether T is a complete type.
Definition is_complete.hpp:35

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/type_id.hpp